# Git

![GitHub Logo](/image.jpg)

## Usefull links
[Git Cheat Sheet](https://education.github.com/git-cheat-sheet-education.pdf)

## Basic commands

### initialize an existing directory as a Git repository
```bash
$ git init
Initialized empty Git repository in C:/Users/Admin/Documents/Git/.git/
``` 
### show modified files in working directory, staged for your next commit

```bash
$ git status
On branch master

No commits yet

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        Readme.md
        image.jpg

nothing added to commit but untracked files present (use "git add" to track)
```


Checker le satus
> git status

Ajouter un element dans la branche
> git add Readme.md

Commit les changement
> git commit -m "First commit"

Show all commit
>git checkout

Merge 
>git merge

## Setup

### Configuring user information used across all local repositories

>git config --global user.name “[firstname lastname]”

set a name that is identifiable for credit when review version history

>git config --global user.email “[valid-email]”

set an email address that will be associated with each history marker

>git config --global color.ui auto

set automatic command line coloring for Git for easy reviewing